having trouble with upgrading my system.

every time i tried to run ‘sudo apt upgrade’ i get this error:

dpkg: error processing archive /var/cache/apt/archives/gitlab-ee_13.8.4-ee.0_amd64.de

b (–unpack):

new gitlab-ee package pre-installation script subprocess returned error exit status

1

Errors were encountered while processing:

/var/cache/apt/archives/gitlab-ee_13.8.4-ee.0_amd64.deb

E: Sub-process /usr/bin/dpkg returned an error code (1)

from there i tried to run ‘sudo gitlab-ctl reconfigure’ but got these errors:

Error executing action `create` on resource ‘acme_certificate[staging]’

then

Error executing action `create` on resource ‘letsencrypt_certificate[gitlab.example.com]’

then

There was an error running gitlab-ctl reconfigure:

letsencrypt_certificate[gitlab.example.com] (letsencrypt::http_authorization line 5) had an error: RuntimeError: acme_certificate[staging] (/opt/gitlab/embedded/cookbooks/cache/cookbooks/letsencrypt/resources/certificate.rb line 25) had an error: RuntimeError: ruby_block[create certificate for gitlab.example.com] (/opt/gitlab/embedded/cookbooks/cache/cookbooks/acme/resources/certificate.rb line 108) had an error: RuntimeError: [gitlab.example.com] Validation failed, unable to request certificate

is there anything that can be done? also i have a timeshift of my pc but it will be a pain to recover my files.

submitted by /u/Queasy-Run846
[link] [comments]


Go to Source of this post
Author Of this post: /u/Queasy-Run846
Title Of post: having trouble with upgrading my system.
Author Link: {authorlink}